org.apache.solr.update.processor

## Class FieldValueSubsetUpdateProcessorFactory

- java.lang.Object
- - org.apache.solr.update.processor.UpdateRequestProcessorFactory
  - - org.apache.solr.update.processor.FieldMutatingUpdateProcessorFactory
    - - org.apache.solr.update.processor.FieldValueSubsetUpdateProcessorFactory

- All Implemented Interfaces:
    NamedListInitializedPlugin, SolrCoreAware
  Direct Known Subclasses:
    FirstFieldValueUpdateProcessorFactory, LastFieldValueUpdateProcessorFactory, MaxFieldValueUpdateProcessorFactory, MinFieldValueUpdateProcessorFactory, UniqFieldsUpdateProcessorFactory

      public abstract class FieldValueSubsetUpdateProcessorFactory
      extends FieldMutatingUpdateProcessorFactory

  Base class for processors that want to mutate selected fields to only keep a subset of the original values.
  See Also:
    `pickSubset(java.util.Collection<java.lang.Object>)`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.solr.update.processor.FieldMutatingUpdateProcessorFactory

      `FieldMutatingUpdateProcessorFactory.SelectorParams`

    - ### Nested classes/interfaces inherited from class org.apache.solr.update.processor.UpdateRequestProcessorFactory

      `UpdateRequestProcessorFactory.RunAlways`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FieldValueSubsetUpdateProcessorFactory()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UpdateRequestProcessor` | `getInstance(SolrQueryRequest req, SolrQueryResponse rsp, UpdateRequestProcessor next)`
    `protected abstract Collection<Object>` | `pickSubset(Collection<Object> values)` Method subclasses must override to specify which values should be kept.

    - ### Methods inherited from class org.apache.solr.update.processor.FieldMutatingUpdateProcessorFactory

      `getDefaultSelector, getSelector, inform, init, parseSelectorExclusionParams, parseSelectorParams`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FieldValueSubsetUpdateProcessorFactory

          public FieldValueSubsetUpdateProcessorFactory()

  - ### Method Detail

    - #### getInstance

          public final UpdateRequestProcessor getInstance(SolrQueryRequest req,
                                                          SolrQueryResponse rsp,
                                                          UpdateRequestProcessor next)

      Specified by:
        `getInstance` in class `UpdateRequestProcessorFactory`

    - #### pickSubset

          protected abstract Collection<Object> pickSubset(Collection<Object> values)

      Method subclasses must override to specify which values should be kept. This method will not be called unless the collection contains more then one value.

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.